Search found 4 matches

by tuldok89
2012-04-15, 11:03
Forum: Cafu Engine Support and Discussion
Topic: Unable to compile the engine with GCC 4.7
Replies: 10
Views: 4075

Re: Unable to compile the engine with GCC 4.7

I should put it in the network.hpp then. About io.h, it's the nearest win32 equivalent of unistd.h (for the close(), unlink(), etc.). If it's uneeded for windows targets, then I should just include unistd.h for linux systems.
by tuldok89
2012-04-13, 18:59
Forum: Cafu Engine Support and Discussion
Topic: couple of issues
Replies: 9
Views: 3444

Re: couple of issues

IIRC, you need to recompile the engine to enable Autodesk FBX support as Cafu doesn't (?) support them out-of-box ( http://www.cafu.de/wiki/cppdev:fbxsdk )
by tuldok89
2012-04-13, 17:45
Forum: Cafu Engine Support and Discussion
Topic: Unable to compile the engine with GCC 4.7
Replies: 10
Views: 4075

Re: Unable to compile the engine with GCC 4.7

Hi there, I've encountered the same issue as the thread starter, and we are of the same distro, compiler and architecture (Arch Linux x86_64, GCC 4.7). The solution in http://trac.cafu.de/ticket/115 works. As with the thread starter is concerned, I've also encountered those "not declared" errors. I'...